#!/bin/sh

export INSERT_HTL=0

srcdir=`dirname $0`

exitcode=0
rm -f test.out.err
for i in $srcdir/test.*.{good,bad}; do
    cp "$i" test.tmp
    if ../src/fiq -d "$srcdir" "`pwd`/test.tmp" "`pwd`/test.out.tmp" >>test.out.err 2>&1; then
	case "$i" in
	    *bad) echo $i failed - see `pwd`/test.out.err for details
		exitcode=1
		;;
	esac
    else
	case "$i" in
	    *good) echo $i failed - see `pwd`/test.out.err for details
		exitcode=1
		;;
	esac
    fi
done

exit $exitcode

