#!/bin/sh

srcdir=`dirname $0`

rm -rf files files2 files.tar files2.tar files.list files2.list
mkdir -p files
cp [A-Za-eg-z]* files
./createTestFile files/test1
./createTestFile files/test2
./createTestFile files/test3
./createTestFile files/test4
./createTestFile files/test5
head -c 30720 <files/test5 >files/test6
tar cfpsS files.tar -C files .
../anon-tar <files.tar >files2.tar
mkdir -p files2
cd files2
tar xfpsS ../files2.tar
cd ..
diff -r files files2
tar tvf files.tar > files.list
sed "s=`id|sed 's=uid.[0-9]*(\([^)]*\)) gid.[0-9]*(\([^)]*\)).*=\1/\2=g'`=nobody/nogroup=" < files.list > files2.list
tar tvf files2.tar | diff -b - files2.list

