/* freenet-handler.h:
 *
 ****************************************************************
 * Copyright (C) 2003 Peter Conrad
 * Based on local-handler.h (C) 2003 Tom Lord
 * 
 * See the file "COPYING" for further information about
 * the copyright and warranty status of this work.
 */

#ifndef INCLUDE__WITH_FTP__FREENET_HANDLER_H
#define INCLUDE__WITH_FTP__FREENET_HANDLER_H

#include "ftp-utils/with-ftp/handler.h"
#include "ftp-utils/with-ftp/freenet-utils.h"

extern ftp_handler_t freenet_init_handler(t_uchar ***new_env, t_uchar *site);
extern void freenet_handle_command(int cin, int cout, t_uchar *cmd, int cmd_len);

#endif  /* INCLUDE__WITH_FTP__FREENET_HANDLER_H */

/* tag: freenet-handler.h ba631f4ae17ae4827e897e7edea30e92
 */
